Package com.plannaplan.responses.models

# Class AssignmentResponse

java.lang.Object
com.plannaplan.responses.models.AssignmentResponse

    public class AssignmentResponse
    extends java.lang.Object

Assignment entity api response

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`AssignmentResponse​(com.plannaplan.entities.Course course, com.plannaplan.entities.Assignment group)` |
`AssignmentResponse​(com.plannaplan.entities.Course course, com.plannaplan.entities.Assignment lecture, com.plannaplan.entities.Assignment classes)` |
`AssignmentResponse​(com.plannaplan.entities.Course course, com.plannaplan.entities.Assignment lecture, com.plannaplan.entities.Assignment classes, java.util.HashMap<java.lang.Long,​java.lang.Integer> ammounts)` |
`AssignmentResponse​(com.plannaplan.entities.Course course, com.plannaplan.entities.Assignment group, java.util.HashMap<java.lang.Long,​java.lang.Integer> ammounts)` |
`AssignmentResponse​(com.plannaplan.entities.Course course, com.plannaplan.entities.Groups group)` |
`AssignmentResponse​(com.plannaplan.entities.Course course, com.plannaplan.entities.Groups lecture, com.plannaplan.entities.Groups classes)` |
`AssignmentResponse​(com.plannaplan.entities.Course course, com.plannaplan.entities.Groups lecture, com.plannaplan.entities.Groups classes, java.util.HashMap<java.lang.Long,​java.lang.Integer> ammounts)` |
`AssignmentResponse​(com.plannaplan.entities.Course course, com.plannaplan.entities.Groups group, java.util.HashMap<java.lang.Long,​java.lang.Integer> ammounts)` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`GroupWithCapacityResponse` | `getClasses()` |
`java.lang.Long` | `getId()` |
`GroupWithCapacityResponse` | `getLecture()` |
`java.lang.String` | `getName()` |
`java.lang.String` | `getSymbol()` |

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AssignmentResponse

public AssignmentResponse​(com.plannaplan.entities.Course course, com.plannaplan.entities.Groups lecture, com.plannaplan.entities.Groups classes)

Parameters:
  `course` - course entity
  `lecture` - lecture Groups entity
  `classes` - class Groups entity

### AssignmentResponse

public AssignmentResponse​(com.plannaplan.entities.Course course, com.plannaplan.entities.Groups lecture, com.plannaplan.entities.Groups classes, java.util.HashMap<java.lang.Long,​java.lang.Integer> ammounts)

Parameters:
  `course` - course entity
  `lecture` - lecture Groups entity
  `classes` - class Groups entity
  `ammounts` - map with ammounts key - group id, value - ammounts of taken places

### AssignmentResponse

public AssignmentResponse​(com.plannaplan.entities.Course course, com.plannaplan.entities.Groups group)

Parameters:
  `course` - course entity
  `group` - class/lecture entity

### AssignmentResponse

public AssignmentResponse​(com.plannaplan.entities.Course course, com.plannaplan.entities.Groups group, java.util.HashMap<java.lang.Long,​java.lang.Integer> ammounts)

Parameters:
  `course` - course entity
  `group` - class/lecture entity
  `ammounts` - map with ammounts key - group id, value - ammounts of taken places

### AssignmentResponse

public AssignmentResponse​(com.plannaplan.entities.Course course, com.plannaplan.entities.Assignment group, java.util.HashMap<java.lang.Long,​java.lang.Integer> ammounts)

Parameters:
  `course` - course entity
  `group` - class/lecture entity
  `ammounts` - map with ammounts key - group id, value - ammounts of taken places

### AssignmentResponse

public AssignmentResponse​(com.plannaplan.entities.Course course, com.plannaplan.entities.Assignment group)

Parameters:
  `course` - course entity
  `group` - class/lecture entity

### AssignmentResponse

public AssignmentResponse​(com.plannaplan.entities.Course course, com.plannaplan.entities.Assignment lecture, com.plannaplan.entities.Assignment classes, java.util.HashMap<java.lang.Long,​java.lang.Integer> ammounts)

Parameters:
  `course` - course entity
  `lecture` - lecture Groups entity
  `classes` - class Groups entity
  `ammounts` - map with ammounts key - group id, value - ammounts of taken places

### AssignmentResponse

public AssignmentResponse​(com.plannaplan.entities.Course course, com.plannaplan.entities.Assignment lecture, com.plannaplan.entities.Assignment classes)

Parameters:
  `course` - course entity
  `lecture` - lecture Groups entity
  `classes` - class Groups entity

## Method Details

### getSymbol

public java.lang.String getSymbol()

Returns:
  returns symbol of assigned course

### getLecture

public GroupWithCapacityResponse getLecture()

Returns:
  Lecture in api response forms

### getClasses

public GroupWithCapacityResponse getClasses()

Returns:
  Class in api response forms

### getName

public java.lang.String getName()

Returns:
  String course name

### getId

public java.lang.Long getId()

Returns:
  db assignment id